/ lang / ang
Ang
Syntax

    Angle = Ang ( X AS Float , Y AS Float ) AS Float

This function calculates the arc tangent of the two variables X and Y. It is similar to calculating the arc tangent of X / Y, except that the signs of both arguments are used to determine the quadrant of the result.

The function returns the result in radians, which is between -π and π (inclusive).

This is the same function as ATan2.

To convert rectangular coordinates to polar coordinates, use Mag to get the distance and this function to get the angle.

### Examples

    PRINT Deg(Ang(-1, 1))
    <hr>135

### See also

Trigonometric Functions